/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/screen1_screen/Screen1ViewBase.hpp>
#include <touchgfx/Color.hpp>
#include "BitmapDatabase.hpp"
#include <texts/TextKeysAndLanguages.hpp>

Screen1ViewBase::Screen1ViewBase() :
    flexButtonCallback(this, &Screen1ViewBase::flexButtonCallbackHandler)
{

    __background.setPosition(0, 0, 240, 320);
    __background.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));

    scalableImage1.setBitmap(touchgfx::Bitmap(BITMAP_FONDO_PARA_WORD_AZUL_1_ID));
    scalableImage1.setPosition(0, 0, 240, 320);
    scalableImage1.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    image_passed.setXY(169, 50);
    image_passed.setBitmap(touchgfx::Bitmap(BITMAP_ON_ID));

    image_failed.setXY(170, 51);
    image_failed.setBitmap(touchgfx::Bitmap(BITMAP_OFF_ID));

    button_selector.setBoxWithBorderPosition(0, 0, 121, 46);
    button_selector.setBorderSize(3);
    button_selector.setBoxWithBorderColors(touchgfx::Color::getColorFromRGB(0, 102, 153), touchgfx::Color::getColorFromRGB(0, 153, 204), touchgfx::Color::getColorFromRGB(26, 28, 31), touchgfx::Color::getColorFromRGB(51, 102, 153));
    button_selector.setPosition(60, 137, 121, 46);
    button_selector.setAction(flexButtonCallback);

    tempArea1.setXY(82, 227);
    tempArea1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));
    tempArea1.setLinespacing(0);
    Unicode::snprintf(tempArea1Buffer, TEMPAREA1_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID2).getText());
    tempArea1.setWildcard(tempArea1Buffer);
    tempArea1.resizeToCurrentText();
    tempArea1.setTypedText(touchgfx::TypedText(T_SINGLEUSEID1));

    textArea1.setXY(48, 64);
    textArea1.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));
    textArea1.setLinespacing(0);
    textArea1.setTypedText(touchgfx::TypedText(T_SINGLEUSEID3));

    add(__background);
    add(scalableImage1);
    add(image_passed);
    add(image_failed);
    add(button_selector);
    add(tempArea1);
    add(textArea1);
}

void Screen1ViewBase::setupScreen()
{

}

void Screen1ViewBase::flexButtonCallbackHandler(const touchgfx::AbstractButtonContainer& src)
{
    if (&src == &button_selector)
    {
        //Interaction1
        //When button_selector clicked call virtual function
        //Call select_image
        select_image();
    }
}
